# Define linker flags here, like: -lsqlite3 -lpthread
LDLIBS :=

# Dir name becomes product name.
PROJ := $(shell basename $$(pwd))

# Find out what platform we're on, e.g. Darwin, Linux, OpenBSD.
UNAME_S := $(shell uname -s)

# Change 'plugin' to your desired extension
PLUGIN := $(PROJ).plugin

# Single source of truth for version (currently unused).
MAJOR := 1
MINOR := 0
PATCH := 0

# Specify desired C++ standard for this project.
# Include main project's src dir for header searching.
CXXFLAGS += -std=c++20 -I../../src

# Change 'app' to product name for which this is a plugin.
# Change 'plugins' to the desired directory name for installed plugins.
INSTALLDIRNAME := app/plugins

# Specify any other files here that need to be installed alongside the plugin.
EXTRAFILES :=
