# Define linker flags here, like: -lsqlite3 -lpthread
LDLIBS :=

# Dir name becomes product name.
PROJ := $(shell basename $$(pwd))

# Find out what platform we're on, e.g. Darwin, Linux, OpenBSD.
UNAME_S := $(shell uname -s)

# We will build a tool, not a library.
PRODUCT := tool

# Single source of truth for version.
MAJOR := 1
MINOR := 0
PATCH := 0

# Specify desired C++ standard for this project.
CXXFLAGS += -std=c++20

# Set to 1 if you want a precompiled header for the C++ Standard Library.
PRECOMPILE := 0

# List of extra files to be installed in DATADIR (/usr/local/share/$(PROJ) by default)
DATAFILES :=

# Define plugin sub-projects here. Assumption here is a directory "plugins"
# containing plugin sub-projects, each in its own directory.
# Rename and/or repeat accordingly.
PLUGINS := $(wildcard plugins/*)
MAKE += --no-print-directory
